SocketWrapperBase.CompletionHandlerCall (Apache Tomcat 9.0.37 API Documentation)

org.apache.tomcat.util.net

## Enum SocketWrapperBase.CompletionHandlerCall

- java.lang.Object
- - java.lang.Enum<SocketWrapperBase.CompletionHandlerCall>
  - - org.apache.tomcat.util.net.SocketWrapperBase.CompletionHandlerCall

- All Implemented Interfaces:
    Serializable, Comparable<SocketWrapperBase.CompletionHandlerCall>
  Enclosing class:
    SocketWrapperBase<E>

      public static enum SocketWrapperBase.CompletionHandlerCall
      extends Enum<SocketWrapperBase.CompletionHandlerCall>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONTINUE` Operation should continue, the completion handler shouldn't be called.
    `DONE` The operation is complete, the completion handler should be called.
    `NONE` The operation completed but the completion handler shouldn't be called.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SocketWrapperBase.CompletionHandlerCall` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SocketWrapperBase.CompletionHandlerCall[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONTINUE

          public static final SocketWrapperBase.CompletionHandlerCall CONTINUE

      Operation should continue, the completion handler shouldn't be called.

    - #### NONE

          public static final SocketWrapperBase.CompletionHandlerCall NONE

      The operation completed but the completion handler shouldn't be called.

    - #### DONE

          public static final SocketWrapperBase.CompletionHandlerCall DONE

      The operation is complete, the completion handler should be called.

  - ### Method Detail

    - #### values

          public static SocketWrapperBase.CompletionHandlerCall[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SocketWrapperBase.CompletionHandlerCall c : SocketWrapperBase.CompletionHandlerCall.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SocketWrapperBase.CompletionHandlerCall valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.